Bug 43723

Summary: Apache 2.2.6 segfault when using mod_dbd
Product: Apache httpd-2 Reporter: yarodin <yarodin>
Component: mod_dbdAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: critical CC: pgollucci
Priority: P1 Keywords: MassUpdate
Version: 2.2.6   
Target Milestone: ---   
Hardware: PC   
OS: FreeBSD   
URL: http://www.freebsd.org/cgi/query-pr.cgi?pr=117596

Description yarodin 2007-10-29 08:18:39 UTC
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for details.
This GDB was configured as "i386-marcel-freebsd"...
Core was generated by `httpd'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/local/lib/libpcre.so.0...done.
Loaded symbols for /usr/local/lib/libpcre.so.0
Reading symbols from /usr/local/lib/libaprutil-1.so.2...done.
Loaded symbols for /usr/local/lib/libaprutil-1.so.2
Reading symbols from /usr/local/lib/mysql/libmysqlclient_r.so.15...done.
Loaded symbols for /usr/local/lib/mysql/libmysqlclient_r.so.15
Reading symbols from /lib/libm.so.4...done.
Loaded symbols for /lib/libm.so.4
Reading symbols from /lib/libz.so.3...done.
Loaded symbols for /lib/libz.so.3
Reading symbols from /usr/local/lib/libexpat.so.6...done.
Loaded symbols for /usr/local/lib/libexpat.so.6
Reading symbols from /usr/local/lib/libiconv.so.3...done.
Loaded symbols for /usr/local/lib/libiconv.so.3
Reading symbols from /usr/local/lib/libapr-1.so.2...done.
Loaded symbols for /usr/local/lib/libapr-1.so.2
Reading symbols from /lib/libcrypt.so.3...done.
Loaded symbols for /lib/libcrypt.so.3
Reading symbols from /lib/libpthread.so.2...done.
Loaded symbols for /lib/libpthread.so.2
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /usr/local/libexec/apache22/mod_dbd.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_dbd.so
Reading symbols from /usr/local/libexec/apache22/mod_authn_file.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_authn_file.so
Reading symbols from /usr/local/libexec/apache22/mod_authn_dbd.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_authn_dbd.so
Reading symbols from /usr/local/libexec/apache22/mod_authn_default.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_authn_default.so
Reading symbols from /usr/local/libexec/apache22/mod_authz_host.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_authz_host.so
Reading symbols from /usr/local/libexec/apache22/mod_authz_user.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_authz_user.so
Reading symbols from /usr/local/libexec/apache22/mod_authz_owner.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_authz_owner.so
Reading symbols from /usr/local/libexec/apache22/mod_authz_default.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_authz_default.so
Reading symbols from /usr/local/libexec/apache22/mod_auth_basic.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_auth_basic.so
Reading symbols from /usr/local/libexec/apache22/mod_file_cache.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_file_cache.so
Reading symbols from /usr/local/libexec/apache22/mod_cache.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_cache.so
Reading symbols from /usr/local/libexec/apache22/mod_disk_cache.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_disk_cache.so
Reading symbols from /usr/local/libexec/apache22/mod_mem_cache.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_mem_cache.so
Reading symbols from /usr/local/libexec/apache22/mod_include.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_include.so
Reading symbols from /usr/local/libexec/apache22/mod_filter.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_filter.so
Reading symbols from /usr/local/libexec/apache22/mod_charset_lite.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_charset_lite.so
Reading symbols from /usr/local/libexec/apache22/mod_deflate.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_deflate.so
Reading symbols from /usr/local/libexec/apache22/mod_log_config.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_log_config.so
Reading symbols from /usr/local/libexec/apache22/mod_env.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_env.so
Reading symbols from /usr/local/libexec/apache22/mod_mime_magic.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_mime_magic.so
Reading symbols from /usr/local/libexec/apache22/mod_cern_meta.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_cern_meta.so
Reading symbols from /usr/local/libexec/apache22/mod_expires.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_expires.so
Reading symbols from /usr/local/libexec/apache22/mod_headers.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_headers.so
Reading symbols from /usr/local/libexec/apache22/mod_unique_id.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_unique_id.so
Reading symbols from /usr/local/libexec/apache22/mod_setenvif.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_setenvif.so
Reading symbols from /usr/local/libexec/apache22/mod_ssl.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_ssl.so
Reading symbols from /usr/lib/libssl.so.4...done.
Loaded symbols for /usr/lib/libssl.so.4
Reading symbols from /lib/libcrypto.so.4...done.
Loaded symbols for /lib/libcrypto.so.4
Reading symbols from /usr/local/libexec/apache22/mod_mime.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_mime.so
Reading symbols from /usr/local/libexec/apache22/mod_autoindex.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_autoindex.so
Reading symbols from /usr/local/libexec/apache22/mod_suexec.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_suexec.so
Reading symbols from /usr/local/libexec/apache22/mod_cgi.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_cgi.so
Reading symbols from /usr/local/libexec/apache22/mod_negotiation.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_negotiation.so
Reading symbols from /usr/local/libexec/apache22/mod_dir.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_dir.so
Reading symbols from /usr/local/libexec/apache22/mod_actions.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_actions.so
Reading symbols from /usr/local/libexec/apache22/mod_speling.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_speling.so
Reading symbols from /usr/local/libexec/apache22/mod_alias.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_alias.so
Reading symbols from /usr/local/libexec/apache22/mod_rewrite.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_rewrite.so
Reading symbols from /libexec/ld-elf.so.1...done.
Loaded symbols for /libexec/ld-elf.so.1
#0 0x28142185 in my_stat (path=0xbfbfd600 "/usr/local/share/mysql/charsets/
Index.xml", stat_area=0xbfbfd560, my_flags=0)
at my_lib.c:649
649 my_lib.c: No such file or directory.
in my_lib.c
[New LWP 100242]

All of mysql*-client from freebsd ports are not install /usr/local/share/mysql/
* wich needed for working with mysql-client at some cases.

How to fix: 
Copy all folders from /usr/local/share/mysql/* of mysql50-server(for example) 
installation to same place of mysql50-client(for example) installation.

I don't think that handling mysqlclient error messages at segfault style is a 
very good idea ;)
Comment 1 Davi Arnaut 2007-11-12 18:57:13 UTC
I think it's mysql that is crashing. Can you provide a full backtrace? (gdb -- bt full).
Comment 2 yarodin 2007-11-13 03:30:13 UTC
(In reply to comment #1)
> I think it's mysql that is crashing. Can you provide a full backtrace? (gdb -
- bt full).

gdb httpd httpd.core
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-marcel-freebsd"...
Core was generated by `httpd'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/local/lib/libpcre.so.0...done.
Loaded symbols for /usr/local/lib/libpcre.so.0
Reading symbols from /usr/local/lib/libaprutil-1.so.2...done.
Loaded symbols for /usr/local/lib/libaprutil-1.so.2
Reading symbols from /usr/local/lib/mysql/libmysqlclient_r.so.15...done.
Loaded symbols for /usr/local/lib/mysql/libmysqlclient_r.so.15
Reading symbols from /lib/libm.so.4...done.
Loaded symbols for /lib/libm.so.4
Reading symbols from /lib/libz.so.3...done.
Loaded symbols for /lib/libz.so.3
Reading symbols from /usr/local/lib/libexpat.so.6...done.
Loaded symbols for /usr/local/lib/libexpat.so.6
Reading symbols from /usr/local/lib/libiconv.so.3...done.
Loaded symbols for /usr/local/lib/libiconv.so.3
Reading symbols from /usr/local/lib/libapr-1.so.2...done.
Loaded symbols for /usr/local/lib/libapr-1.so.2
Reading symbols from /lib/libcrypt.so.3...done.
Loaded symbols for /lib/libcrypt.so.3
Reading symbols from /lib/libpthread.so.2...done.
Loaded symbols for /lib/libpthread.so.2
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /usr/local/libexec/apache22/mod_dbd.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_dbd.so
Reading symbols from /usr/local/libexec/apache22/mod_authn_file.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_authn_file.so
Reading symbols from /usr/local/libexec/apache22/mod_authn_dbd.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_authn_dbd.so
Reading symbols from /usr/local/libexec/apache22/mod_authn_default.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_authn_default.so
Reading symbols from /usr/local/libexec/apache22/mod_authz_host.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_authz_host.so
Reading symbols from /usr/local/libexec/apache22/mod_authz_user.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_authz_user.so
Reading symbols from /usr/local/libexec/apache22/mod_authz_owner.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_authz_owner.so
Reading symbols from /usr/local/libexec/apache22/mod_authz_default.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_authz_default.so
Reading symbols from /usr/local/libexec/apache22/mod_auth_basic.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_auth_basic.so
Reading symbols from /usr/local/libexec/apache22/mod_include.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_include.so
Reading symbols from /usr/local/libexec/apache22/mod_filter.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_filter.so
Reading symbols from /usr/local/libexec/apache22/mod_charset_lite.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_charset_lite.so
Reading symbols from /usr/local/libexec/apache22/mod_deflate.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_deflate.so
Reading symbols from /usr/local/libexec/apache22/mod_log_config.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_log_config.so
Reading symbols from /usr/local/libexec/apache22/mod_env.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_env.so
Reading symbols from /usr/local/libexec/apache22/mod_mime_magic.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_mime_magic.so
Reading symbols from /usr/local/libexec/apache22/mod_cern_meta.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_cern_meta.so
Reading symbols from /usr/local/libexec/apache22/mod_expires.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_expires.so
Reading symbols from /usr/local/libexec/apache22/mod_headers.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_headers.so
Reading symbols from /usr/local/libexec/apache22/mod_unique_id.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_unique_id.so
Reading symbols from /usr/local/libexec/apache22/mod_setenvif.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_setenvif.so
Reading symbols from /usr/local/libexec/apache22/mod_ssl.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_ssl.so
Reading symbols from /usr/lib/libssl.so.4...done.
Loaded symbols for /usr/lib/libssl.so.4
Reading symbols from /lib/libcrypto.so.4...done.
Loaded symbols for /lib/libcrypto.so.4
Reading symbols from /usr/local/libexec/apache22/mod_mime.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_mime.so
Reading symbols from /usr/local/libexec/apache22/mod_autoindex.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_autoindex.so
Reading symbols from /usr/local/libexec/apache22/mod_suexec.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_suexec.so
Reading symbols from /usr/local/libexec/apache22/mod_cgi.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_cgi.so
Reading symbols from /usr/local/libexec/apache22/mod_negotiation.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_negotiation.so
Reading symbols from /usr/local/libexec/apache22/mod_dir.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_dir.so
Reading symbols from /usr/local/libexec/apache22/mod_actions.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_actions.so
Reading symbols from /usr/local/libexec/apache22/mod_speling.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_speling.so
Reading symbols from /usr/local/libexec/apache22/mod_alias.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_alias.so
Reading symbols from /usr/local/libexec/apache22/mod_rewrite.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_rewrite.so
Reading symbols from /usr/local/libexec/apache22/mod_rpaf.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_rpaf.so
Reading symbols from /usr/local/libexec/apache22/mod_fastcgi.so...done.
Loaded symbols for /usr/local/libexec/apache22/mod_fastcgi.so
Reading symbols from /libexec/ld-elf.so.1...done.
Loaded symbols for /libexec/ld-elf.so.1
#0  0x28140f5d in my_stat (path=0xbfbfd170 "/usr/local/share/mysql/charsets/
Index.xml", stat_area=0xbfbfd0d0, my_flags=0)
    at my_lib.c:649
649     my_lib.c: No such file or directory.
        in my_lib.c
[New LWP 100227]
(gdb) bt full
#0  0x28140f5d in my_stat (path=0xbfbfd170 "/usr/local/share/mysql/charsets/
Index.xml", stat_area=0xbfbfd0d0, my_flags=0)
    at my_lib.c:649
        m_used = 0
        _db_func_ = 0x280c4300 "z&#9574;P&#1091;\001"
        _db_file_ = 0x3b0 <Address 0x3b0 out of bounds>
        _db_level_ = 0
        _db_framep_ = (char **) 0x28140ead
#1  0x28137137 in my_read_charset_file (filename=0xbfbfd170 "/usr/local/share/
mysql/charsets/Index.xml", myflags=0)
    at charset.c:317
        buf = 0x28154ff3 "\205&#1102;\211&#1092;.t&#1097;\200&#9577;H\020"
        fd = -1077948168
        len = 3217019188
        tmp_len = 3217019248
        stat_info = {st_dev = 3217019248, st_ino = 3217019248, st_mode = 53496, 
st_nlink = 49087, st_uid = 672325239,
  st_gid = 3217019248, st_rdev = 3217019248, st_atimespec = {tv_sec = 0, 
tv_nsec = 673660444}, st_mtimespec = {
    tv_sec = -1077948016, tv_nsec = -1077948048}, st_ctimespec = {tv_sec = -
1077948088, tv_nsec = 672363215},
  st_size = -4629751905004813969, st_blocks = -4629751867428056784, st_blksize 
= 0, st_flags = 3217019188,
  st_gen = 3217019192, st_lspare = -1077948108, st_birthtimespec = {tv_sec = -
1077948112, tv_nsec = -1077948116}}
#2  0x2813752d in init_available_charsets (myflags=0) at charset.c:424
        cs = (CHARSET_INFO **) 0xbfbfd170
        fname = "/usr/local/share/mysql/charsets/
Index.xml\000\000\000\000&#1074;©©&#9556;\212\v(&#9556;\212\v(e\005\000\000&\001\000\000~\t\000\000h\022N(\000\000\000\000&#1066;&#1066;&#1066;\000\000\000\000\000\v\000\000\000\000\000\000\0008&#1074;©\000\031\177j(\034\177j(\226\004\000\000©\004\000\000\024\t\000\000&#9563;\002\000\000&#1045;\002\000\000©\005\000\000\023\006\000\000u\001\000\000\000\000\000\000&#1096;\006\000\000L\002\000\000&#1074;\000\000\000&#1084;\002\000\000B\a\000\000\204\005\000\000&#1042;\003\000\000d\004\000\000>\v\000\000\030\v\000\000\214\n\000\000&#1100;\004\000\000\b\t\000\000i\n\000\000&#1093;\006\000\000"...
        error = 112 'p'
#3  0x281379ce in get_charset_by_csname (cs_name=0x81d8280 "utf8", cs_flags=2, 
flags=16) at charset.c:560
        cs_number = 2
        cs = (CHARSET_INFO *) 0x0
        _db_func_ = 0x3c <Address 0x3c out of bounds>
        _db_file_ = 0x285000f0 "\020\002"
        _db_level_ = 83
        _db_framep_ = (char **) 0xc8e
#4  0x28156fd4 in mysql_init_character_set (mysql=0x81d1800) at client.c:1730
        save = 0x0
        default_collation_name = 0x281652fc "utf8_general_ci"
#5  0x2815880f in mysql_real_connect (mysql=0x81d1800, host=0x81ea070 
"192.168.1.3", user=0x81ea088 "apachedbd",
    passwd=0x81ea098 "sdafkhDS2431", db=0x81ea0a8 "apachehtpasswd", port=3306, 
unix_socket=0x0, client_flag=0)
    at client.c:2132
        buff = "192.168.1.3 via TCP/
IP\000(\000C\f(qB\025\001&#1090;&#9553;&#9552;\t\221^\017(\000C\f(&#1055;&#1070;©©0\000\000\000\004\000\000\000&#1068;&#1040;©©&#1094;,\023(\000\000\000\000\216&#1099;\t(X&#1078;\v(&#9574;4\017(\001\000\000\0004&#1041;©©&#1085;&#1101;\t({\000\n(X&#1078;\v(4&#1041;©©&#1052;\001\n(@q\f(\221^\017(\000C\f(X&#1078;\v(X&#1078;\v(\214\177\025(d&#1041;©©3&#1095;\t(\004\034\f(\001\000\000\000T&#1041;©©\001\000\000\000\000\000\000\000\001\000\000\000\000C\f(&#1068;&#1093;\020(\003\000\000\000\204&#1049;©©"
        end = 0x81f002b "c.WOf4mLr{4."
        host_info = 0xbfbfe1b0 "192.168.1.3 via TCP/IP"
        sock = 29
        sock_addr = {sin_len = 0 '\0', sin_family = 2 '\002', sin_port = 59916, 
sin_addr = {s_addr = 50440384},
  sin_zero = "\000\000\000\000\000\000\000"}
        pkt_length = 56
        UNIXaddr = {sun_len = 174 '&#9565;', sun_family = 199 '&#1075;',
---Type <return> to continue, or q <return> to quit---
  sun_path = "|
\r\n\000\000\000&#9574;\003\000\000@\220N(\000\000\000\000\000\000\000\000\030&#1041;©©&#9559;&#1082;F(Jj\023G\216&#1099;\t(\000L\f(\001\000\000\001&#1076;I<\a\025L\021(\000L\f(\200&#1070;©©0\000\000\000\f\000\000\000\000\000\000\000@q\f(\000`\n\b\216&#1099;\t(X&#1078;\v(&#1076;&\021(\001\000\000\000&#1076;&#1040;©©&#1085;&#1101;"}
        _db_func_ = 0x0
        _db_file_ = 0xbfbfd95c "&#1078;&#1046;a(\202"
        _db_level_ = 136323072
        _db_framep_ = (char **) 0x8211ffc
#6  0x2810a87c in dbd_mysql_open (pool=0x81ea018,
    params=0x815e1d8 "host=192.168.1.3 port=3306 user=apachedbd 
pass=sdafkhDS2431 dbname=apachehtpasswd")
    at dbd/apr_dbd_mysql.c:1510
        delims = 0x2810b2b8 " \r\n\t;|,"
        ptr = 0x0
        i = 3
        key = 0x815e214 "dbname=apachehtpasswd"
        klen = 6
        value = 0x815e21b "apachehtpasswd"
        vlen = 14
        do_reconnect = 1 '\001'
        real_conn = (MYSQL *) 0x80b4b28
        flags = 0
        fields = {{field = 0x2810b2c0 "host", value = 0x81ea070 "192.168.1.3"}, 
{field = 0x2810b2c5 "user",
    value = 0x81ea088 "apachedbd"}, {field = 0x2810b2ca "pass", value = 
0x81ea098 "sdafkhDS2431"}, {
    field = 0x2810b2cf "dbname", value = 0x81ea0a8 "apachehtpasswd"}, {field = 
0x2810b2d6 "port", value = 0x81ea080 "3306"}, {
    field = 0x2810b2db "sock", value = 0x0}, {field = 0x2810b2e0 "flags", value 
= 0x0}, {field = 0x2810b2e6 "fldsz",
    value = 0x0}, {field = 0x0, value = 0x0}}
        port = 3306
        sql = (apr_dbd_t *) 0x81ea060
#7  0x28108c54 in apr_dbd_open (driver=0x2810c780, pool=0x81ea018,
    params=0x815e1d8 "host=192.168.1.3 port=3306 user=apachedbd 
pass=sdafkhDS2431 dbname=apachehtpasswd", handle=0x81ea050)
    at dbd/apr_dbd.c:165
        rv = 676357024
#8  0x285040c4 in dbd_construct (data_ptr=0xbfbfe3f4, params=0x81e45d8, 
pool=0x81e3018) at mod_dbd.c:505
        group = (dbd_group_t *) 0x81e45d8
        cfg = (dbd_cfg_t *) 0x815f2f8
        rec_pool = (apr_pool_t *) 0x81ea018
        prepared_pool = (apr_pool_t *) 0x81e3000
        rec = (ap_dbd_t *) 0x81ea050
        rv = 0
#9  0x28504767 in ap_dbd_open (pool=0x81e3018, s=0x8154ba0) at mod_dbd.c:742
        svr = (svr_cfg *) 0x815f2f0
        group = (dbd_group_t *) 0x81e45d8
        cfg = (dbd_cfg_t *) 0x815f2f8
        rec = (ap_dbd_t *) 0x0
        rv = 136217136
#10 0x2850490d in ap_dbd_acquire (r=0x81e3050) at mod_dbd.c:815
        acq = (dbd_acquire_t *) 0x81e45d0
#11 0x28509c7c in authn_dbd_password (r=0x81e7050, user=0x81e8240 "punk.ru", 
password=0x81e8238 "test") at mod_authn_dbd.c:96
        rv = 676476960
        dbd_password = 0x0
        statement = (apr_dbd_prepared_t *) 0x81e8238
---Type <return> to continue, or q <return> to quit---
        res = (apr_dbd_results_t *) 0x0
        row = (apr_dbd_row_t *) 0x0
        conf = (authn_dbd_conf *) 0x81e8028
        dbd = (ap_dbd_t *) 0x285225b4
#12 0x285221d0 in authenticate_basic_user (r=0x81e7050) at mod_auth_basic.c:230
        provider = (const authn_provider *) 0x2850b3c8
        conf = (auth_basic_config_rec *) 0x8155d98
        sent_user = 0x81e8240 "punk.ru"
        sent_pw = 0x81e8238 "test"
        current_auth = 0x8155d58 "Basic"
        res = 0
        auth_result = 134660936
        current_provider = (authn_provider_list *) 0x8155db0
#13 0x08071c62 in ap_run_check_user_id (r=0x81e7050) at request.c:70
        pHook = (ap_LINK_check_user_id_t *) 0x819e7e8
        n = 1
        rv = -1
#14 0x080726fe in ap_process_request_internal (r=0x81e7050) at request.c:194
        file_req = 0
        access_status = 0
#15 0x08074805 in ap_sub_req_method_uri (method=0x80916e2 "GET", 
new_uri=0x81e44e0 "/", r=0x81e3050, next_filter=0x0)
    at request.c:1631
        rnew = (request_rec *) 0x81e7050
        res = 500
        udir = 0x2809d93c 
"\205&#1102;\211&#1072;.t&#1094;\205&#1066;t4\017&#9572;P\f\211&#1087;&#1102;&#1061;\004<\002.t&#9568;&#1102;&#1049;\004\213F\004\211&#1086;\200&#1047;\002\211E&#1044;t&#9553;\205&#1066;t\b\213E\f\213U&#1044;\211\020\203&#1076;,\211&#1068;[^_]&#1094;\017&#9572;P\f&#1050;&#1090;U\211&#1045;W1&#1066;VS&#1061;|
&#1061;&#1066;&#1066;\201&#1094;&#1081;&#1069;\001"
#16 0x08074841 in ap_sub_req_lookup_uri (new_uri=0x81e44e0 "/", r=0x81e3050, 
next_filter=0x0) at request.c:1643
No locals.
#17 0x286f1236 in lookup_variable (var=0x81e45b8 "LA-U:REMOTE_USER", 
ctx=0x81e44e8) at mod_rewrite.c:1696
        rr = (request_rec *) 0x81e45b8
        path = 0x81e44e0 "/"
        result = 0x0
        r = (request_rec *) 0x81e3050
        varlen = 16
#18 0x286f22b3 in do_expand (input=0x81583d0 "%{LA-U:REMOTE_USER}", 
ctx=0x81e44e8) at mod_rewrite.c:2149
        endp = 0x81583e2 "}"
        result = (result_list *) 0xbfbfe690
        current = (result_list *) 0xbfbfe690
        sresult = {{next = 0x0, len = 0, string = 0x81583d0 "%{LA-
U:REMOTE_USER}"}, {next = 0x1, len = 10,
    string = 0x280efe20 ""}, {next = 0x280f0160, len = 0, string = 0x0}, {next 
= 0x0, len = 0, string = 0x0}, {next = 0x0,
    len = 0, string = 0x0}}
        spc = 1
        span = 0
        inputlen = 19
        outlen = 0
        p = 0x81583d0 "%{LA-U:REMOTE_USER}"
        c = 0x0
        pool = (apr_pool_t *) 0x81e3018
#19 0x286f4c92 in apply_rewrite_cond (p=0x8158320, ctx=0x81e44e8) at 
mod_rewrite.c:3489
        input = 0x2 <Address 0x2 out of bounds>
---Type <return> to continue, or q <return> to quit---
        sb = {pool = 0x8154c60, valid = 678404832, protection = -1077942148, 
filetype = 678357776, user = 671891456,
  group = 671891712, inode = 671891968, device = 671892224, nlink = 671892736, 
size = 2885759527235110400,
  csize = 2885761726258366464, atime = 2885763924745930160, mtime = -
4629722218054662736, ctime = 584980768044870276,
  fname = 0x283b585d 
"\203&#1076;\020\213E&#1068;\211E&#1055;\213E&#1055;\213]&#1069;&#1080;&#1094;\211&#1046;U\211&#1045;S\203&#1051;\024&#1061;", name = 0x81e45b0 "/
", filehand = 0x81e44e0}
        rsub = (request_rec *) 0x286eeb2f
        r = (request_rec *) 0xbfbfe7e8
        regmatch = {{rm_so = 135177472, rm_eo = 0}, {rm_so = 136201440, rm_eo = 
1}, {rm_so = 0, rm_eo = 0}, {
    rm_so = -1077942448, rm_eo = 30}, {rm_so = 179915312, rm_eo = 0}, {rm_so = 
10, rm_eo = 0}, {rm_so = 0, rm_eo = 1}, {
    rm_so = 671894528, rm_eo = 16777216}, {rm_so = 179915312, rm_eo = 
134564929}, {rm_so = 671864408, rm_eo = 134548616}}
        rc = 134640423
#20 0x286f557d in apply_rewrite_rule (p=0x8158360, ctx=0x81e44e8) at 
mod_rewrite.c:3724
        c = (rewritecond_entry *) 0x8158320
        regmatch = {{rm_so = 0, rm_eo = 1}, {rm_so = -1, rm_eo = -1}, {rm_so = -
1, rm_eo = -1}, {rm_so = -1, rm_eo = -1}, {
    rm_so = -1, rm_eo = -1}, {rm_so = -1, rm_eo = -1}, {rm_so = -1, rm_eo = -
1}, {rm_so = -1, rm_eo = -1}, {rm_so = -1,
    rm_eo = -1}, {rm_so = -1, rm_eo = -1}}
        rewriteconds = (apr_array_header_t *) 0x8158308
        conds = (rewritecond_entry *) 0x8158320
        i = 0
        rc = 1
        newuri = 0x0
        r = (request_rec *) 0x81e3050
        is_proxyreq = 0
#21 0x286f5b41 in apply_rewrite_list (r=0x81e3050, rewriterules=0x8158348, 
perdir=0x0) at mod_rewrite.c:3903
        entries = (rewriterule_entry *) 0x8158360
        p = (rewriterule_entry *) 0x8158360
        i = 0
        changed = 0
        rc = 674977808
        s = 2
        ctx = (rewrite_ctx *) 0x81e44e8
#22 0x286f6325 in hook_uri2file (r=0x81e3050) at mod_rewrite.c:4221
        conf = (rewrite_server_conf *) 0x815f200
        saved_rulestatus = 0x0
        var = 0x81e44c8 "http://vhstat.punk.ru/"
        thisserver = 0x8155808 "vhstat.punk.ru"
        thisport = 0x286f74a6 ""
        thisurl = 0x81e3ec0 "/"
        port = 80
        rulestatus = 662
#23 0x08071a02 in ap_run_translate_name (r=0x81e3050) at request.c:66
        pHook = (ap_LINK_translate_name_t *) 0x819e0f8
        n = 0
        rv = 135656352
#24 0x08072522 in ap_process_request_internal (r=0x81e3050) at request.c:141
        file_req = 0
        access_status = 0
#25 0x080859d5 in ap_process_request (r=0x81e3050) at http_request.c:256
        access_status = -1
#26 0x08082dfc in ap_process_http_connection (c=0x81dd108) at http_core.c:184
        r = (request_rec *) 0x81e3050
---Type <return> to continue, or q <return> to quit---
        csd = (apr_socket_t *) 0x0
#27 0x0807ecce in ap_run_process_connection (c=0x81dd108) at connection.c:43
        pHook = (ap_LINK_process_connection_t *) 0x819e6f8
        n = 0
        rv = -2
#28 0x0807f10c in ap_process_connection (c=0x81dd108, csd=0x81dd050) at 
connection.c:178
        rc = -2
#29 0x0808afba in child_main (child_num_arg=1) at prefork.c:640
        current_conn = (conn_rec *) 0x81dd108
        csd = (void *) 0x81dd050
        ptrans = (apr_pool_t *) 0x81dd018
        allocator = (apr_allocator_t *) 0x81d9a80
        status = 0
        i = -1
        lr = (ap_listen_rec *) 0x80ad638
        pollset = (apr_pollset_t *) 0x81db250
        sbh = (ap_sb_handle_t *) 0x81db248
        bucket_alloc = (apr_bucket_alloc_t *) 0x81e1018
        last_poll_idx = 1
#30 0x0808b15a in make_child (s=0x80b0eb8, slot=1) at prefork.c:736
        pid = 0
#31 0x0808b1cd in startup_children (number_to_start=4) at prefork.c:754
        i = 1
#32 0x0808b5f5 in ap_mpm_run (_pconf=0x80af018, plog=0x80dd018, s=0x80b0eb8) at 
prefork.c:975
        index = 134866176
        remaining_children_to_start = 5
        rv = 0
#33 0x080623b7 in main (argc=2, argv=0xbfbfec20) at main.c:730
        c = 68 'D'
        configtestonly = 0
        confname = 0x808d77d "etc/apache22/httpd.conf"
        def_server_root = 0x808d795 "/usr/local"
        temp_error_log = 0x0
        error = 0x0
        process = (process_rec *) 0x80ad098
        server_conf = (server_rec *) 0x80b0eb8
        pglobal = (apr_pool_t *) 0x80ad018
        pconf = (apr_pool_t *) 0x80af018
        plog = (apr_pool_t *) 0x80dd018
        ptemp = (apr_pool_t *) 0x80e2018
        pcommands = (apr_pool_t *) 0x80b1018
        opt = (apr_getopt_t *) 0x80b10b0
        rv = 0
        mod = (module **) 0x8097030
        optarg = 0xbfbfed2c "SSL"
Comment 3 Nick Kew 2008-08-26 13:55:38 UTC
This appears to be coming from within mysql, which could indicate you've linked a mysql version that's not compatible with what you compiled against.  Are you seeing it at server startup or later, and what's your DBDMin param?
Comment 4 Philp M. Gollucci 2009-01-18 16:19:17 UTC
CC myself on FreeBSD related bugs
Comment 5 William A. Rowe Jr. 2018-11-07 21:09:49 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.